<?php
/**
 * All-in-One WP Migration
 * Copyright (C) 2014-2018 ServMask Inc.
 *
 * Modified Copyright (C) 2025 Lead Connector
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

if (!defined('ABSPATH')) {
	die('Well Sir You Cannot Jump Here...haha');
}

class Lcm_Import_Enumerate
{

	public static function execute($params)
	{

		// Set progress
		Lcm_Status::info(__('Gathering Backup Files...', 'lc-migrator'));

		// Open the archive file for reading
		$archive = new Lcm_Extractor(lcm_archive_path($params));

		// Get total files count
		$params['total_files_count'] = $archive->get_total_files_count();

		// Get total files size
		$params['total_files_size'] = $archive->get_total_files_size();

		// Close the archive file
		$archive->close();

		// Set progress
		Lcm_Status::info(__('Backup Files gathered.', 'lc-migrator'));

		return $params;
	}
}
